/*
 Licensed Materials - Property of IBM - some unique copyrights (i.e., the ability to copy,  modify,
 distribute) may be licensed in certain circumstances (e.g., sample/template code  intended to be used by
 customers to build upon and distribute as their own products).

 (c) Copyright IBM Corporation 2011, 2014, 2015. All Rights Reserved.

 U.S. Government Users Restricted Rights: Use, duplication or disclosure restricted by GSA ADP
 Schedule Contract with IBM Corp.
*/
(function () {
dojo.provide("com.ibm.rdm.web.artifactgrid.ArtifactConstants");

com.ibm.rdm.web.artifactgrid.ArtifactConstants = {
	//Converts the colURI to the calmLinkTypeURI, Used to refresh rows after CALM link creation
	CalmLinkColToTypeURI : {
		"imp-by"	: "http://open-services.net/ns/rm#implementedBy",
		"val-by"  	: "http://open-services.net/ns/rm#validatedBy",
		"track-by"  : "http://open-services.net/ns/rm#trackedBy",
		"aff-by"  	: "http://open-services.net/ns/rm#affectedBy"
	}	
};

com.ibm.rdm.web.artifactgrid.ArtifactConstants.RESOURCE_ROW = "resourceRow";
// row type for artifacts that appear to be invalid probably because of some
// VVC related shenanigans resulting in e.g. a module structure referencing a
// row that has no core artifact.
com.ibm.rdm.web.artifactgrid.ArtifactConstants.INVALID_RESOURCE_ROW = "invalidResourceRow";


// column id of primary text column
com.ibm.rdm.web.artifactgrid.ArtifactConstants.PRIMARY_TEXT_COL = "primary_attr_col";
// column id of DOORS based content column
com.ibm.rdm.web.artifactgrid.ArtifactConstants.MODULE_CONTENT_COL = "module_content_col";
// This currently has to be the same as RRMTypes.WELL_KNOWN_SAME_AS_ATTRIBUTE_NAMES.CommentCount in order for saved filters to work
com.ibm.rdm.web.artifactgrid.ArtifactConstants.COMMENTS_COL = "commentCount";
//This currently has to be the same as RRMTypes.WELL_KNOWN_SAME_AS_ATTRIBUTE_NAMES.ReuseCount in order for saved filters to work
com.ibm.rdm.web.artifactgrid.ArtifactConstants.REUSEARTIFACTS_COL = "reuseCount";
// column id of ReqPro based content column
com.ibm.rdm.web.artifactgrid.ArtifactConstants.CONTENT_SECTION_NUM_CLASS = "sectionNumber";
com.ibm.rdm.web.artifactgrid.ArtifactConstants.CONTENT_TITLE_CLASS = "titleWrapper";
com.ibm.rdm.web.artifactgrid.ArtifactConstants.CONTENT_TEXT_CLASS = "primaryTextWrapper";
com.ibm.rdm.web.artifactgrid.ArtifactConstants.CONTENT_ID_CLASS = "id-col";
com.ibm.rdm.web.artifactgrid.ArtifactConstants.CONTENT_WRAPPED_RESOURCE_CLASS = "wrappedResource";
com.ibm.rdm.web.artifactgrid.ArtifactConstants.SECTION_COL = "module-section-col";

com.ibm.rdm.web.artifactgrid.ArtifactConstants.TAGS_COL = "tags";
com.ibm.rdm.web.artifactgrid.ArtifactConstants.AFFECTED_BY_COL = "aff-by";
com.ibm.rdm.web.artifactgrid.ArtifactConstants.VALIDATED_BY_COL = "val-by";
com.ibm.rdm.web.artifactgrid.ArtifactConstants.TRACKED_BY_COL = "track-by";
com.ibm.rdm.web.artifactgrid.ArtifactConstants.IMPLEMENTED_BY_COL = "imp-by";
com.ibm.rdm.web.artifactgrid.ArtifactConstants.CREATED_COL = "created_date_col";
com.ibm.rdm.web.artifactgrid.ArtifactConstants.MODIFIED_ON_COL = "mod-date";
com.ibm.rdm.web.artifactgrid.ArtifactConstants.CREATOR_COL = "creator";
com.ibm.rdm.web.artifactgrid.ArtifactConstants.CONTRIBUTOR_COL = "mod-user";
com.ibm.rdm.web.artifactgrid.ArtifactConstants.FORMAT_COL = "format";
com.ibm.rdm.web.artifactgrid.ArtifactConstants.TYPE_COL = "obj_type_col";
com.ibm.rdm.web.artifactgrid.ArtifactConstants.ALTERNATE_SPELLING_COL = "alternateSpelling";
com.ibm.rdm.web.artifactgrid.ArtifactConstants.DESCRIPTION_COL = "description";
com.ibm.rdm.web.artifactgrid.ArtifactConstants.TITLE_COL = "name";
com.ibm.rdm.web.artifactgrid.ArtifactConstants.ID_COL = "id-col";

com.ibm.rdm.web.artifactgrid.ArtifactConstants.ID_COL_WIDTH = 45;
com.ibm.rdm.web.artifactgrid.ArtifactConstants.TITLE_COL_WIDTH = 140;
com.ibm.rdm.web.artifactgrid.ArtifactConstants.TYPE_COL_WIDTH = 80;
com.ibm.rdm.web.artifactgrid.ArtifactConstants.CONTRIBUTOR_COL_WIDTH = 105;
com.ibm.rdm.web.artifactgrid.ArtifactConstants.MODIFIED_ON_COL_WIDTH = 145;
com.ibm.rdm.web.artifactgrid.ArtifactConstants.MODULE_CONTENT_COL_WIDTH = 300;

//Constants used to indicate direction of link
dojo.setObject("com.ibm.rdm.web.artifactgrid.ArtifactConstants.OBJECT_LINK", "_OBJ");
dojo.setObject("com.ibm.rdm.web.artifactgrid.ArtifactConstants.SUBJECT_LINK", "_SUB");
dojo.setObject("com.ibm.rdm.web.artifactgrid.ArtifactConstants.BIDIRECTIONAL_LINK", "_BI");

// column id of suspicion column
com.ibm.rdm.web.artifactgrid.ArtifactConstants.SUSPICION_COL = "suspicion-col";
com.ibm.rdm.web.artifactgrid.ArtifactConstants.MODULE_HIGHLIGHT_TIMEOUT = 5000;

com.ibm.rdm.web.artifactgrid.ArtifactConstants.LINK_COL_TYPE = "l";
com.ibm.rdm.web.artifactgrid.ArtifactConstants.SYSTEM_COL_TYPE = "s";
com.ibm.rdm.web.artifactgrid.ArtifactConstants.ATTRIBUTE_COL_TYPE = "a";

com.ibm.rdm.web.artifactgrid.ArtifactConstants.AFTER = "after";

})();
